# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.88"
name = "akv-cli"
version = "0.11.0"
authors = ["Heath Stewart (https://github.com/heaths)"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
The Azure Key Vault CLI (unofficial) can read secrets from Key Vault,
securely pass secrets to other commands or inject them into configuration files,
encrypt and decrypt secrets, and managed keys and secrets in Key Vault.
"""
readme = "README.md"
license = "MIT"
repository = "https://github.com/heaths/akv-cli-rs"

[package.metadata.docs.rs]
all-features = true

[features]
color = [
    "clap/color",
    "colored_json",
    "yansi",
]
default = ["color"]

[lib]
name = "akv_cli"
path = "src/lib.rs"

[[bin]]
name = "akv"
path = "src/bin/akv/main.rs"

[[example]]
name = "blobs"
path = "examples/blobs.rs"

[[example]]
name = "printenv"
path = "examples/printenv.rs"
required-features = ["color"]

[[bench]]
name = "jwe"
path = "benches/jwe.rs"
harness = false

[dependencies.async-lock]
version = "3.4.0"

[dependencies.async-stream]
version = "0.3.6"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.aws-lc-rs]
version = "1.17.0"

[dependencies.azure_core]
version = "1.0.0"

[dependencies.azure_identity]
version = "1.0.0"
features = ["tokio"]

[dependencies.azure_security_keyvault_certificates]
version = "1.0.0"

[dependencies.azure_security_keyvault_keys]
version = "1.0.0"

[dependencies.azure_security_keyvault_secrets]
version = "1.0.0"

[dependencies.clap]
version = "4.5.28"
features = [
    "derive",
    "env",
    "error-context",
    "help",
    "std",
    "string",
    "suggestions",
    "usage",
]
default-features = false

[dependencies.clap_complete]
version = "4.6.5"

[dependencies.colored_json]
version = "5.0.0"
optional = true

[dependencies.dotazure]
version = "0.2.0"

[dependencies.dotenvy]
version = "0.15.7"

[dependencies.futures]
version = "0.3.31"

[dependencies.indicatif]
version = "0.18.0"

[dependencies.libc]
version = "0.2.186"

[dependencies.prettytable-rs]
version = "0.10.0"

[dependencies.reqwest]
version = "0.13.3"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.time]
version = "0.3.47"

[dependencies.timeago]
version = "0.6.0"

[dependencies.tokio]
version = "1.52.3"
features = [
    "io-std",
    "io-util",
    "macros",
    "rt",
    "rt-multi-thread",
]

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-subscriber]
version = "0.3.20"
features = [
    "env-filter",
    "local-time",
]

[dependencies.url]
version = "2.5.4"

[dependencies.yansi]
version = "1.0.1"
features = [
    "detect-env",
    "detect-tty",
]
optional = true

[dev-dependencies.async-trait]
version = "0.1.88"

[dev-dependencies.azure_storage_blob]
version = "1.0.0"

[dev-dependencies.criterion]
version = "0.8.2"

[dev-dependencies.wildcard]
version = "0.3.0"

[lints.rustdoc]
bare_urls = "allow"

[profile.release]
opt-level = "s"
panic = "abort"
strip = "debuginfo"
